#include <xtl.h>
#include <d3d8.h>

#include <rwcore.h>
#include <rpworld.h>

#include "rpplugin.h"
#include "rpdbgerr.h"
#include "skinxboxplain.h"

RwInt32
_rpSkinXboxGetMaterialMatfxHash( RpMaterial *material, RwUInt32 geoFlags )
{
    /*
    Placeholder, we don't do any matfx - link rpskinmatfx.lib instead.
    */
    return 0;
}

RwInt32 _rpSkinXboxMaterialSetUp( RpMaterial *material, RwInt32 pass )
{
    RWFUNCTION(RWSTRING("_rpSkinXboxMaterialSetUp"));
    RWRETURN( _rpSkinXboxPlainMaterialSetUp( material, pass ) );
}

void _rpSkinXboxMaterialTearDown( RpMaterial *material )
{
    _rpSkinXboxPlainMaterialTearDown( material );
}

RwBool
_rpSkinXboxPipelinesCreateExtra( RwUInt32 pipes )
{
    RWFUNCTION(RWSTRING("_rpSkinXboxPipelinesCreateExtra"));

    RWRETURN(TRUE);
}

void
_rpSkinXboxPipelinesDestroyExtra( void )
{
}
